PatchMap Class Reference

Classes | Public Types | Public Member Functions | List of all members
PatchMap Class Reference

An quadtree-based map connecting coarse faces to their sub-patches. More...

`#include <patchMap.h>`

## Public Types
typedef PatchTable::PatchHandle | Handle

## Public Member Functions
| PatchMap (PatchTable const &patchTable)
| Constructor. More...
Handle const * | FindPatch (int faceid, float u, float v) const
| Returns a handle to the sub-patch of the face at the given (u,v). Note : the faceid corresponds to quadrangulated face indices (ie. quads count as 1 index, non-quads add as many indices as they have vertices) More...

## Detailed Description

An quadtree-based map connecting coarse faces to their sub-patches.

PatchTable::PatchArrays contain lists of patches that represent the limit surface of a mesh, sorted by their topological type. These arrays break the connection between coarse faces and their sub-patches.

The PatchMap provides a quad-tree based lookup structure that, given a singular parametric location, can efficiently return a handle to the sub-patch that contains this location.

Definition at line 49 of file patchMap.h.

## Member Typedef Documentation

## § Handle

typedef PatchTable::PatchHandle Handle

Definition at line 52 of file patchMap.h.

## Constructor & Destructor Documentation

## § PatchMap()

PatchMap | ( | PatchTable const & | patchTable | ) |

Constructor.

Parameters

  patchTable | A valid set of PatchTable

## Member Function Documentation

## § FindPatch()

PatchMap::Handle const * FindPatch | ( | int | faceid,
|  | float | u,
|  | float | v
| ) |  | const
| inline

Returns a handle to the sub-patch of the face at the given (u,v). Note : the faceid corresponds to quadrangulated face indices (ie. quads count as 1 index, non-quads add as many indices as they have vertices)

Returns a handle to the sub-patch of the face at the given (u,v).

Parameters

  faceid | The index of the face
  u | Local u parameter
  v | Local v parameter

Returns
  A patch handle or NULL if the face does not exist or the limit surface is tagged as a hole at the given location

Definition at line 149 of file patchMap.h.

The documentation for this class was generated from the following file:

- opensubdiv/far/patchMap.h